angular.module('focaModalFormaPago')
    .factory('focaModalFormaPagoService', ['$http', 'API_ENDPOINT', function ($http, API_ENDPOINT) {
        return {
            getBotonera: function () {
                return [
                    {
                        label: 'Efectivo',
                        image: 'efectivo.png',
                        disabled: true
                    },
                    {
                        label: 'Tarjetas',
                        image: 'tarjeta.png',
                        disabled: false
                    },
                    {
                        label: 'Cheque',
                        image: 'cheque.png',
                        disabled: true
                    },
                    {
                        label: 'Vales',
                        image: 'vale.png',
                        disabled: true
                    },
                    {
                        label: 'Pago Electronico',
                        image: 'qr.png',
                        disabled: true
                    }
                ];
            }
        };
    }])
    .factory('focaModalTarjetasService', ['$http', 'API_ENDPOINT', function ($http, API_ENDPOINT) {
        return {
            getTarjetas: function () {
                return $http.get(API_ENDPOINT.URL + '/tarjetas');
                // return [
                //     {
                //         label: 'tarjeta',
                //         image: 'visa.svg',
                //         active: false,
                //     },
                //     {
                //         label: 'tarjeta',
                //         image: 'mastercard.svg',
                //         active: false,
                //     },
                //     {
                //         label: 'tarjeta',
                //         image: 'maestro.svg',
                //         active: false,
                //     },
                //     {
                //         label: 'tarjeta',
                //         image: 'americanExpress.svg',
                //         active: false,
                //     },
                //     {
                //         label: 'tarjeta',
                //         image: 'naranja.png',
                //         active: false,
                //     },
                //     {
                //         label: 'tarjeta',
                //         image: 'cabal.svg',
                //         active: false,
                //     },
                //     {
                //         label: 'tarjeta',
                //         image: 'argencard.svg',
                //         active: false,
                //     },
                //     {
                //         label: 'tarjeta',
                //         image: 'nativa.png',
                //         active: false,
                //     },
                //     {
                //         label: 'tarjeta',
                //         image: 'cencosud.png',
                //         active: false,
                //     },
                // ];
            }
        };
    }]);
